#!/bin/sh -e

VERSION=$2
TAR=../hudson-dom4j_$VERSION.orig.tar.gz
DIR=hudson-dom4j-$VERSION
mkdir -p $DIR
# Expand the upstream tarball
tar -xzf $TAR -C $DIR --strip-components=1
# Repack excluding stuff we don't need
GZIP=--best tar -c -z -f $TAR --exclude '*.jar' --exclude '*.class' \
    --exclude 'CVS' --exclude '.svn' \
    --exclude 'src/java/org/dom4j/tree/ConcurrentReaderHashMap.java' $DIR
rm -rf $DIR

